Bug 1261565 - docker-storage-setup service fails after initial successful run if DEVS is defined in /etc/sysconfig/docker-storage-setup
docker-storage-setup service fails after initial successful run if DEVS is de...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: docker (Show other bugs)
7.1
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Jhon Honce
atomic-bugs@redhat.com
: Extras
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-09 12:57 EDT by Jason Montleon
Modified: 2016-05-12 11:16 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-12 11:16:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason Montleon 2015-09-09 12:57:50 EDT
Description of problem:
Documentation for Openshift, docker, etc. suggest that if you have a blank disk you can add a configuration like so:

# cat <<EOF > /etc/sysconfig/docker-storage-setup
DEVS=/dev/vdc
VG=docker-vg
EOF

See https://docs.openshift.com/enterprise/3.0/admin_guide/install/prerequisites.html as an example where this configuration is described.

The problem is that after the initial run where the thin pool is created the script docker-storage-setup script sees that there are partitions on the disk, exits 1, and causes the service to report a failed state. 

This configuration is only ever good for one run. You can remove the DEVS line after the initial setup and it will start normally, but it seems this should be documented or handled better.


Version-Release number of selected component (if applicable):
docker-1.7.1-108.el7.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Install docker
2. Use a DEVS= entry in /etc/sysconfig/docker-storage-setup
3. Start and then restart the docker-storage-setup service

Actual results:
service enters a failed state

Expected results:
service should not enter a failed state.

Additional info:
Comment 5 Daniel Walsh 2015-12-01 16:58:20 EST
John Any update on this?
Comment 6 Jhon Honce 2015-12-01 17:40:50 EST
PR created and being reviewed.
Comment 7 Jhon Honce 2015-12-03 12:55:18 EST
Fixed in https://github.com/projectatomic/docker-storage-setup/pull/85
Comment 9 Luwen Su 2016-05-01 06:58:38 EDT
In docker-1.9.1-38.el7.x86_64

#docker-storage-setup 
....
Converted docker-vg/docker-pool to thin pool.
  Logical volume "docker-pool" changed.
# service docker start
# service docker-storage-setup start
Redirecting to /bin/systemctl start  docker-storage-setup.service
# echo $?
0
# service docker-storage-setup restart
Redirecting to /bin/systemctl restart  docker-storage-setup.service
# echo $?
0

Move to verified
Comment 11 errata-xmlrpc 2016-05-12 11:16:09 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-1034.html

Note You need to log in before you can comment on or make changes to this bug.